Bug 1779 - [PATCH] compiler warning shifting more bits that the type actually has.
[PATCH] compiler warning shifting more bits that the type actually has.
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.21a
PPC AIX
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 19:13 UTC by Adrian Wallaschek
Modified: 2006-01-24 13:11 UTC (History)
0 users

See Also:


Attachments
add cast to silence warning. (816 bytes, patch)
2006-01-14 12:01 UTC, William Jojo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Wallaschek 2004-09-15 19:13:58 UTC
Allright, I think this one is clear.
Compiler is cc (actually the cc alias of xlc) on AIX 5.2

Compiling libsmb/clireadwrite.c
libsmb/clireadwrite.c: In function `cli_issue_read':
libsmb/clireadwrite.c:54: warning: right shift count >= width of type
libsmb/clireadwrite.c:54: warning: right shift count >= width of type
libsmb/clireadwrite.c:54: warning: right shift count >= width of type
libsmb/clireadwrite.c:54: warning: right shift count >= width of type
libsmb/clireadwrite.c: In function `cli_issue_write':
libsmb/clireadwrite.c:301: warning: right shift count >= width of type
libsmb/clireadwrite.c:301: warning: right shift count >= width of type
libsmb/clireadwrite.c:301: warning: right shift count >= width of type
libsmb/clireadwrite.c:301: warning: right shift count >= width of type
Comment 1 William Jojo 2006-01-14 12:01:11 UTC
Created attachment 1685 [details]
add cast to silence warning.

added cast to silence warning on bigoffset and large_writex.
Comment 2 Jeremy Allison 2006-01-24 13:11:36 UTC
Looks good - applied, thanks.
Jeremy.